<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.session.ScreenletSession</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.session-module.html">Module&nbsp;session</a> ::
        Class&nbsp;ScreenletSession
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.session.ScreenletSession-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class ScreenletSession</h1><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession">source&nbsp;code</a></span><br /><br />
<pre class="base-tree">
object --+
         |
        <strong class="uidshort">ScreenletSession</strong>
</pre>

<hr />
The ScreenletSession manages instances of a Screenlet and handles 
  saving/restoring options. Each Screenlet contains a reference to its 
  session. Multiple instances of the same Screenlet share the same 
  session-object.<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">screenlet_classobj</span>,
        <span class="summary-sig-arg">backend_type</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">caching</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">default</code><code class="variable-quote">'</code></span>)</span><br />
      x.__init__(...) initializes x; see x.__class__.__doc__ for 
      signature</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="connect_daemon"></a><span class="summary-sig-name">connect_daemon</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Connect to org.screenlets.ScreenletsDaemon.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.connect_daemon">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#create_instance" class="summary-sig-name">create_instance</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">id</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">**keyword_args</span>)</span><br />
      Create a new instance with ID 'id' and add it to this session.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.create_instance">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#delete_instance" class="summary-sig-name">delete_instance</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">id</span>)</span><br />
      Delete the given instance with ID 'id' and remove its session 
      file.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.delete_instance">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_instance_by_id"></a><span class="summary-sig-name">get_instance_by_id</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">id</span>)</span><br />
      Return the instance with the given id from within this 
      session.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.get_instance_by_id">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="quit_instance"></a><span class="summary-sig-name">quit_instance</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">id</span>)</span><br />
      quit the given instance with ID 'id'</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.quit_instance">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#start" class="summary-sig-name">start</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Start a new session (or restore an existing session) for the 
      current Screenlet-class.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.start">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__register_screenlet"></a><span class="summary-sig-name">__register_screenlet</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Create new entry for this session in the global TMP_FILE.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__register_screenlet">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#__create_tempdir" class="summary-sig-name">__create_tempdir</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create the global temporary file for saving screenlets.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__create_tempdir">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__unregister_screenlet"></a><span class="summary-sig-name">__unregister_screenlet</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default">None</span>)</span><br />
      Delete this session's entry from the gloabl tempfile (and delete 
      the entire file if no more running screenlets are set.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__unregister_screenlet">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__delete_tempfile"></a><span class="summary-sig-name">__delete_tempfile</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default">None</span>)</span><br />
      Delete the tempfile for this session.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__delete_tempfile">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__get_next_id"></a><span class="summary-sig-name">__get_next_id</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the next ID for an instance of the assigned Screenlet.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__get_next_id">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#__load_instances" class="summary-sig-name">__load_instances</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Check for existing instances in the current session, create them 
      and store them into self.instances if any are found.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__load_instances">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__restore_options_from_backend"></a><span class="summary-sig-name">__restore_options_from_backend</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">screenlet</span>,
        <span class="summary-sig-arg">filename</span>)</span><br />
      Restore and apply a screenlet's options from the backend.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__restore_options_from_backend">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#__run_session" class="summary-sig-name">__run_session</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">main_instance</span>)</span><br />
      Run the session by calling the main handler of the given 
      Screenlet- instance.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__run_session">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.session.ScreenletSession-class.html#__parse_commandline" class="summary-sig-name">__parse_commandline</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Check commandline args for &quot;--session&quot; argument and set 
      session name if found.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__parse_commandline">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__str__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">screenlet_classobj</span>,
        <span class="sig-arg">backend_type</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">caching</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">name</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">default</code><code class="variable-quote">'</code></span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  x.__init__(...) initializes x; see x.__class__.__doc__ for 
  signature
  <dl class="fields">
    <dt>Overrides:
      object.__init__
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="create_instance"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">create_instance</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">id</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">**keyword_args</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.create_instance">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Create a new instance with ID 'id' and add it to this session. The 
  function returns either the new Screenlet-instance or None.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="delete_instance"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">delete_instance</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">id</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.delete_instance">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Delete the given instance with ID 'id' and remove its session file. 
  When the last instance within the session is removed, the session dir is 
  completely removed.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="start"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">start</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.start">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Start a new session (or restore an existing session) for the current 
  Screenlet-class. Creates a new instance when none is found. Returns True 
  if everything worked well, else False.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="__create_tempdir"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__create_tempdir</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__create_tempdir">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Create the global temporary file for saving screenlets. The file is 
  used for indicating which screnlets are currently running.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="__load_instances"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__load_instances</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__load_instances">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Check for existing instances in the current session, create them and 
  store them into self.instances if any are found. Returns True if at least
  one instance was found, else False.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="__run_session"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__run_session</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">main_instance</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__run_session">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Run the session by calling the main handler of the given Screenlet- 
  instance. Handles sigkill (?) and keyboard interrupts.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="__parse_commandline"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__parse_commandline</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.session-pysrc.html#ScreenletSession.__parse_commandline">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Check commandline args for &quot;--session&quot; argument and set 
  session name if found. Runs only once during __init__. TODO: handle more 
  arguments and maybe allow setting options by commandline
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:58 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
